<?php


ini_set("memory_limit", "1024M");
ini_set('max_execution_time', '3600');

function curl(array $data, $url, $requestType,$token = null)
{
    $header = array();

    $header[] = 'Content-Type: application/json';
    $header[] = 'Content-Length: ' . strlen(json_encode($data));

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
    curl_setopt($ch, CURLOPT_URL, $url . $requestType);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
    curl_setopt($ch, CURLOPT_TIMEOUT, 300);

    $result = curl_exec($ch);
    $error = curl_error($ch);
    curl_close($ch);
    return array( $result, $error);
}
//
//$nrorg = $argv[2];
//$dtinicompet = $argv[3];
//$dtfincompet = $argv[4];
//$contractId = $argv[5];

$data = array(
    'NRORG' => '20',
    'CONTRACT_ID' => '164',
    'DTINICOMPET' => '01/12/2020',
    'DTFINCOMPET' => '31/12/2020',
);

$url = 'http://192.168.120.155/Zeedhi/zmartbi/backend/service/index.php';
$requestType = "/api/getVariableMeasureLog";
//$requestType = "/api/getVariableMeasureQuantity";



header('Content-type: application/json; charset=utf-8');

set_time_limit(180);
list($resultR, $error) = curl($data, $url, $requestType);
echo($resultR);
echo($error);


