<?php


namespace Service\ChartView;

use Zeedhi\Framework\DependencyInjection\InstanceManager;
abstract class ChartViewAbstract
{
	public function fetchWidgetData(){
        $widget = $this->widget;
        $postGroupConditions = !empty($widget["postGroupConditions"]) ? $widget["postGroupConditions"] : [];
        $fullAccessProfiles = !empty($widget['parameters']['fullAccessProfiles']) ? $widget['parameters']['fullAccessProfiles'] : [];
        if(!empty($widget['parameters']["dimensions"])){
            $dimensions = $widget['parameters']["dimensions"];
        } else {
            $dimensions = !empty($widget['parameters']['dimensionName']) ? $widget['parameters']['dimensionName'] : "";
        }

        $limitRows = null;

        $widgetDataService = InstanceManager::getInstance()->getService('\Service\WidgetData');
        $this->widgetData = $widgetDataService->fetchWidgetData(
                $widget['_id'], $widget['parameters']['structureId'], null, $widget['parameters']['period'],
				$widget['parameters']['facts'], $dimensions,array(),
				null,$limitRows,$widget['parameters']['drillDownFilters'], false, [],[], $postGroupConditions,
                null,$widget,null,null, $fullAccessProfiles);
    }
}