<?php


namespace Service\PeriodMathExpression\Strategy;


abstract class StrategyAbstract
{
    public function modify($date, $operator, $quantity): \DateTime
    {
        if($operator == UnitFactory::ADD){
            $date = $this->add($date,$quantity);
        }else if($operator == UnitFactory::SUB){
            $date = $this->sub($date,$quantity);
        }else if($operator == UnitFactory::SET){
            $date = $this->set($date,$quantity);
        }
        return $date;
    }

    public function getDay(\DateTime $date):String{
        return $date->format('d');
    }
    public function getMonth(\DateTime $date):String{
        return $date->format('m');
    }
    public function getYear(\DateTime $date):String{
        return $date->format('Y');
    }
}